This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 739846 - Traceback when starting the installation with "vnc" parameter on s390x
Traceback when starting the installation with "vnc" parameter on s390x
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On: 733680
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2011-09-20 04:17 EDT by Jan Stodola
Modified: 2012-06-29 08:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-17.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 08:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (3.76 KB, text/plain)
2011-09-20 04:18 EDT, Jan Stodola
no flags Details
syslog (26.78 KB, text/plain)
2011-09-20 04:19 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2011-09-20 04:17:56 EDT
Description of problem:
Following traceback appears when anaconda is trying to start vnc server:

Running anaconda 16.17, the Fedora system installer - please wait.
08:06:54 Starting VNC...
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 715, in <module>
    setupDisplay(anaconda, opts)
  File "/usr/sbin/anaconda", line 532, in setupDisplay
    runVNC(vncS)
  File "/usr/sbin/anaconda", line 281, in runVNC
    vncS.startServer()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 198, in startServer
    self.initialize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 105, in initialize
    devname = devices[active_devs[0]].iface
KeyError: dbus.String(u'eth0', variant_level=1)


boot parameters:
-bash-4.2# cat /proc/cmdline 
root=/dev/ram0 ro ip=off ramdisk_size=40000 cio_ignore=all,!0.0.0009            CMSDASD=191 CMSCONFFILE=e40.conf vnc _escue

Version-Release number of selected component (if applicable):
anaconda-16.17

How reproducible:
always

Steps to Reproduce:
1. start the installation with "vnc" boot parameter
2. connect via ssh to continue with the install
3. select language
4. wait for vnc server to start
  
Actual results:
traceback

Expected results:
vnc server starts successfully

Additional info:
workaround_1: do not use "vnc" boot parameter
workaround_2: use "vnc ksdevice=eth0" boot parameters
Comment 1 Jan Stodola 2011-09-20 04:18:33 EDT
Created attachment 523972 [details]
anaconda.log
Comment 2 Jan Stodola 2011-09-20 04:19:09 EDT
Created attachment 523973 [details]
syslog
Comment 4 Radek Vykydal 2011-10-07 08:47:32 EDT
This should be fixed in F17.
Comment 5 Jan Stodola 2012-06-29 08:14:46 EDT
Retested with anaconda-17.29, this issue is fixed, vnc installation finished without any traceback.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.